IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CP_AppEve_InscInst') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE dbo.CP_AppEve_InscInst
END
GO

CREATE PROCEDURE [dbo].[CP_AppEve_InscInst]  @pDoc_Nro			BIGINT, 
											@pApellido			VARCHAR(100), 
											@pNombre			VARCHAR(100),
											@pFNac				DATE,
											@pSexo				CHAR(1),
											@pEmpresa			VARCHAR(254),
											@pId_Producto		VARCHAR(14)
AS
SET NOCOUNT ON
DECLARE @Id_Cliente		INT
DECLARE @Razon_Social	VARCHAR(100)
DECLARE @Observacion	VARCHAR(MAX)

SET @Id_Cliente = ISNULL((SELECT TOP 1 Id_Cliente FROM Clientes WHERE Id_Tipo_Doc = '1' AND Doc_Nro = @pDoc_Nro ORDER BY Activo DESC), 0)

BEGIN TRY

IF (@Id_Cliente = 0)
BEGIN
	/*No existe el cliente ni Activo ni inactivo*/
    SET @Id_Cliente = (SELECT MAX(ISNULL(Id_Cliente, 0)) + 1 FROM Clientes)
    
    SET @Razon_Social	= LTRIM(RTRIM(@pApellido)) + ' ' + LTRIM(RTRIM(@pNombre))
	SET @Observacion	= 'Dado de alta a traves de: SP_AppEve_InscInst.'
    
	INSERT INTO Clientes 
	(Id_Cliente,		Apellido,		Nombre,
	Razon_Social,		Sexo,			Id_Tipo_Doc,
	Doc_Nro,			Fecha_Nac,		Activo,
	Fecha_alta,			Web,			Tipo_Persona)
	VALUES
	(@Id_Cliente,		@pApellido,		@pNombre,
	@Razon_Social,		@pSexo,			1,
	@pDoc_Nro,			@pFNac,			1,
	GETDATE(),			@pEmpresa,		'F')
END

EXECUTE dbo.SP_InscDirec_Online  @Id_Cliente, @pId_Producto, 2, 'A', 0

END TRY  
BEGIN CATCH  
    -- Execute error retrieval routine.  
    EXECUTE usp_GetErrorInfo;  
END CATCH;   

